Bug 828891 - Review Request: wmnd - Dockapp for monitoring network interfaces
Review Request: wmnd - Dockapp for monitoring network interfaces
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 772485 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 10:39 EDT by Alexey I. Froloff
Modified: 2012-07-11 16:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 07:06:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
andreas.bierfert: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexey I. Froloff 2012-06-05 10:39:41 EDT
Spec URL: http://raorn.fedorapeople.org/packages/wmnd/wmnd.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmnd/wmnd-0.4.16-1.fc17.src.rpm
Description:

Nice network interface monitoring applet for WindowMaker.

COPYING and src/list.h contains outdated FSF address, patch made, upstream contacted.  ChangeLog not packaged because contains upstream VCS commit logs, end users will find NEWS more useful.  rpmlint blames "dockapp" word as spelling error as usual.

Fedora Account System Username: raorn
Comment 1 Alexey I. Froloff 2012-06-06 13:45:20 EDT
New release available.

Spec URL: http://raorn.fedorapeople.org/packages/wmnd/wmnd.spec
SRPM URL: http://raorn.fedorapeople.org/packages/wmnd/wmnd-0.4.16-2.fc17.src.rpm

rpmlint complains about unapplied patches because I use git-based scheme stolen from xorg-x11-server.spec

specfile diff:

diff --git a/wmnd.spec b/wmnd.spec
index 425d22e..8e54af9 100644
--- a/wmnd.spec
+++ b/wmnd.spec
@@ -1,6 +1,6 @@
 Name:		wmnd
 Version:	0.4.16
-Release:	1%{?dist}
+Release:	2%{?dist}
 Summary:	Dockapp for monitoring network interfaces
 
 Group:		User Interface/X
@@ -8,9 +8,17 @@ License:	GPLv2+
 URL:		http://www.thregr.org/~wavexx/software/wmnd/
 
 Source:		%{url}/releases/%{name}-%{version}.tar.gz
-Patch:		%{name}-0.4.16-fsf-address.patch
+# git clone git://src.thregr.org/wmnd
+# pushd wmnd
+# git format-patch %{name}-%{version}
+# for p in 00*; do mv "$p" "../%{name}-%{version}-$p"; done
+# popd
+Patch1:		%{name}-0.4.16-0001-Reformat-documentation.patch
+Patch2:		%{name}-0.4.16-0002-Update-configure.ac-for-the-latest-autoconf.patch
+Patch3:		%{name}-0.4.16-0003-Doc-fixes-follow-the-suggestions-form-Alexey-I.-Frol.patch
+Patch4:		%{name}-0.4.16-0004-Fix-the-installation-path-of-wmndrc.patch
 
-BuildRequires:	autoconf automake libXext-devel libXpm-devel
+BuildRequires:	autoconf automake git libXext-devel libXpm-devel
 
 %description
 WMND is a dockapp for monitoring network interfaces under WindowMaker
@@ -22,30 +30,35 @@ display modes and can also monitor remote interfaces through SNMP.
 
 %prep
 %setup -q
-%patch -p1
+git init
+if [ -z "$GIT_COMMITTER_NAME" ]; then
+    git config user.email "raorn@raorn.name"
+    git config user.name "Alexey I. Froloff"
+fi
+git add -f .
+git commit -a -q -m "%{version} baseline."
 
-for f in NEWS; do
-  mv "$f" "$f.save"
-  iconv -f LATIN1 -t UTF-8 < "$f.save" > "$f"
-  touch -r "$f.save" "$f"
-  rm "$f.save"
-done
+# Apply all the patches.
+git am -p1 %{patches} < /dev/null
 
 %build
 autoreconf -fis
 %configure \
+	--docdir=%{_docdir}/%{name}-%{version} \
 	--enable-drivers=linux_proc
 make %{?_smp_mflags}
 
 %install
-%{make_install} data_DATA=
+%{make_install}
 
 %files
-%doc AUTHORS COPYING NEWS README THANKS TODO examples
+%doc AUTHORS COPYING NEWS README THANKS TODO
 %{_bindir}/wmnd
 %{_mandir}/man1/wmnd.1*
 
 %changelog
+* Wed Jun 06 2012 Alexey I. Froloff <raorn@raorn.name> - 0.4.16-2
+- Updated to wmnd-0.4.16-4-gc96f86d
+
 * Tue Jun 05 2012 Alexey I. Froloff <raorn@raorn.name> - 0.4.16-1
 - Initial build for Fedora
-
Comment 2 Andreas Bierfert 2012-06-09 08:32:21 EDT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * MUST rpmlint:
  macro-in-comment should be fixed by adding % (%%{name}) etc.
  other warnings do not apply here
 * package naming: ok
 * package guideline complience: ok
 * license: ok
 * license field: ok
 * spec language and legible: ok
 * source: ok
10bab4819c8b09f203b241eb78fee9f886fd1a61d550c83c39f6a3dbc3a8f441  wmnd-0.4.16.tar.gz
 * builds on f17 and rawhide koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4143250
 * BR: ok
 * file permissions: ok
 * desktop file: not needed as this is a specialized dockapp
 * package runs on f17: ok
 * man page included: ok

package

d384fc71174f675e24bfa54ff61a32e7c4078b9eec3befdacfde95bfa146a95e  wmnd-0.4.16-2.fc17.src.rpm

approved
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/TQfIACgkQQEQyPsWM8csH8ACfW8ILzB2DoZEHKwyX1gcz59ik
zfUAn03Fkg5cGxEJgp/ElS0tqseBlWfa
=xjMY
-----END PGP SIGNATURE-----

Please add me as CC on the SCM request.
Comment 3 Alexey I. Froloff 2012-06-09 10:04:44 EDT
New Package SCM Request
=======================
Package Name: wmnd
Short Description: Dockapp for monitoring network interfaces
Owners: raorn
Branches: f17
InitialCC: awjb
Comment 4 Gwyn Ciesla 2012-06-09 13:27:57 EDT
Git done (by process-git-requests).

Andreas, please take ownership of review BZs, thanks!
Comment 5 Mario Blättermann 2012-07-11 16:00:32 EDT
*** Bug 772485 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.